Arch Frame/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "În imaginea de mai sus, un line a fost transformat într-un array și un obiect cadru a fost făcut utilizând matricele ca aspect și un D...")
(Created page with "== Cum se folosește ==")
Line 11: Line 11:
În imaginea de mai sus, un [[Draft Line|line]] a fost transformat într-un [[Array array | array]] și un obiect cadru a fost făcut utilizând matricele ca aspect și un [[Draft Circle|circle]]ca profil.
În imaginea de mai sus, un [[Draft Line|line]] a fost transformat într-un [[Array array | array]] și un obiect cadru a fost făcut utilizând matricele ca aspect și un [[Draft Circle|circle]]ca profil.


==How to use==
== Cum se folosește ==


# Create a layout object and a profile object, for example with the [[Draft Workbench]] or the [[Sketcher Workbench]]
# Create a layout object and a profile object, for example with the [[Draft Workbench]] or the [[Sketcher Workbench]]

Revision as of 13:43, 20 November 2018

Arch Frame

Menu location
Arch → Frame
Workbenches
Arch
Default shortcut
F R
Introduced in version
-
See also
None

Descriere

Instrumentul cadru este folosit pentru a construi toate tipurile de obiecte cadru. Profilul este extrudat, cum ar fi sketch sau un draft object. Este deosebit de util să se creeze balustrade sau pereți de rame. Obiectele de cadru pot fi apoi transformate în obiecte wall sau

structure .

În imaginea de mai sus, un line a fost transformat într-un array și un obiect cadru a fost făcut utilizând matricele ca aspect și un circleca profil.

Cum se folosește

  1. Create a layout object and a profile object, for example with the Draft Workbench or the Sketcher Workbench
  2. Select the layout object first, then, with CTRL pressed, select the profile object
  3. Press the Arch Frame button, or press F then R keys

Options

  • Frames share the common properties and behaviours of all Arch Components
  • The frame object can be placed at a certain distance from the layout object, by setting its Offset property
  • The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.

Properties

  • DateBase: The layout this frame is based on.
  • DateProfile: The profile this frame is based on.
  • DateAlign: Specifies if the profile must be rotated to have its normal axis aligned with each edge.
  • DateOffset: An optional distance between the layout object and the frame object.
  • DateRotation: The rotation of the profile around its extrusion axis.

Scripting

The Frame tool can by used in macros and from the python console by using the following function:

makeFrame ( layout,profile )
  • Creates a frame object from a base sketch (or any other object containing wires) and a profile object (an extrudable 2D object containing faces or closed wires)
  • Returns the new frame object, or None if the operation failed.

Example:

import Draft, Arch
layout = Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
profile = Draft.makeCircle(.2)
Arch.makeFrame(layout,profile)